
import { request, METHOD, } from '@/utils/request'

//获取协议列表
export async function getUserStatistics(data) {
  return request("/userStatistics/queryHXReportData", METHOD.POST, data)
}
//获取代理人列表

export async function getyQxFrontlineAgentList(data) {
  return request("/userStatistics/queryQxFrontlineAgent", METHOD.POST, data)
}
//获取省、市、区结构数据
export async function getAreaList(data) {
  return request("/sys/area/queryTree", METHOD.POST, data)
}
//获取团队排名
export async function getRankingList(data) {
  return request("/userStatistics/queryQxFrontlineAgentRanking", METHOD.POST, data)
}
//获取团队管理
export async function getTeamList(data) {
  return request("/userStatistics/queryQxFrontlineDetails", METHOD.POST, data)
}
//获取团队成员列表
export async function getTeamUserList(data) {
  return request("/userStatistics/queryQxFrontlineDetailsUser", METHOD.POST, data)
}
//获取团队成员详情
export async function getTeamUserDetails(data) {
  return request(`/userStatistics/getByUserId/${data.userId}`, METHOD.GET,)
}
//获取渠道成员详情
export async function getChannelDetails(data) {
  return request(`/userStatistics/queryChannelDetails`, METHOD.POST, data)
}

//获取渠道成员详情
export async function getManageUser(data) {
  return request(`/user/findHxUserList`, METHOD.GET, data)
}
//导出渠道及前线人员
export async function exportList(data) {
  return request(`/userStatistics/QxFrontlineAgentExcel`, METHOD.POST, data)
}






export default {
  getUserStatistics,
  getyQxFrontlineAgentList,
  getAreaList,
  getRankingList,
  getTeamList,
  getTeamUserList,
  getTeamUserDetails,
  getChannelDetails,
  getManageUser,
  exportList

}
